## dde-control-center 5.5.16.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(dde-control-center)

find_package(DtkCMake REQUIRED)
include(Dart)
include(CTest)

add_compile_definitions(CVERSION="${CVERSION}")

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")

    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
endif ()

# Test architecture
execute_process(COMMAND dpkg-architecture -qDEB_BUILD_ARCH OUTPUT_VARIABLE ARCHITECTURE RESULT_VARIABLE EXIT_CODE)
if (${EXIT_CODE} EQUAL 0)
    string(STRIP ${ARCHITECTURE} ARCHITECTURE)

    if (${ARCHITECTURE} STREQUAL "sw_64")
        # add compiler flags -mieee for mathmatic
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
    endif()
endif()

set(STRONG_PASSWORD false)
set(AllowEnableMultiScaleRatio false)
set(AllowCloudSync true)

configure_file(files/dde-control-center.conf.in files/dde-control-center.conf @ONLY)

add_definitions(-DWINDOW_MODE)

add_subdirectory("src/frame")
add_subdirectory("src/reboot-reminder-dialog")
add_subdirectory("src/reset-password-dialog")
add_subdirectory("src/develop-tool")
add_subdirectory("tests")

if (NOT DEFINED DISABLE_RECOVERY)
    add_subdirectory("abrecovery")
endif()

file(GLOB DOCS_FILES "docs/*")
file(GLOB HEADERS "include/*")

## qm files
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/dde-control-center/translations)

#desktop
install(FILES dde-control-center.desktop DESTINATION share/applications)
install(FILES dde-control-center-wapper DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

#dconfig
file(GLOB DCONFIG_FILES "configs/dde.control-center*.json")
install(FILES ${DCONFIG_FILES} DESTINATION /usr/share/dsg/apps/dde-control-center/configs/)

#schemas
install(FILES com.deepin.dde.control-center.gschema.xml DESTINATION share/glib-2.0/schemas)
install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

#dde-grand-search-daemon plugins
install(FILES com.deepin.dde-grand-search.dde-control-center-setting.conf DESTINATION lib/${CMAKE_LIBRARY_ARCHITECTURE}/dde-grand-search-daemon/plugins/searcher)

#service
install(FILES com.deepin.dde.ControlCenter.service DESTINATION share/dbus-1/services)

#docs
install(FILES ${DOCS_FILES} DESTINATION share/dman/dde-control-center)

#datebases
install(FILES data/timezone.db DESTINATION share/dde-control-center)

# dict file
install(FILES data/MainEnglishDictionary_ProbWL.txt DESTINATION share/dict)

# conf file
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/files/dde-control-center.conf DESTINATION share/dde-control-center)

# polkit policy file
install(FILES com.deepin.controlcenter.develop.policy DESTINATION share/polkit-1/actions)
if (OS_DEEPIN_PROFESSIONAL)
    if (${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64")
        install(FILES com.deepin.controlcenter.addomain.policy DESTINATION share/polkit-1/actions)
    endif()
endif()

# dev files
set(INCLUDE_INSTALL_DIR include/dde-control-center)
install(DIRECTORY ${HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR})

include(CMakePackageConfigHelpers)
configure_package_config_file(DdeControlCenterConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter
    PATH_VARS INCLUDE_INSTALL_DIR)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/DdeControlCenterConfig.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/DdeControlCenter)

=== src/develop-tool/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

set(BIN_NAME develop-tool)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if(NOT DEFINED DISABLE_SYS_UPDATE)

set(SRCS
        main.cpp
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

add_executable(${BIN_NAME} ${SRCS})
target_include_directories(${BIN_NAME} PUBLIC
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/dde-control-center/)

endif()

=== src/frame/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

set(BIN_NAME dde-control-center)

# set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall -Wl,--as-need -fPIE")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
endif()

set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")

# disable qt keywords, cause gio have signals member;
ADD_DEFINITIONS(-DQT_NO_KEYWORDS)

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

set(DEFINED_LIST
DISABLE_OPACITY_ANIMATION
DISABLE_CLOUD_SYNC
DISABLE_SYS_UPDATE
DISABLE_AUTHENTICATION
DISABLE_ACCOUNT
DISABLE_DISPLAY
DISABLE_DEFAULT_APPLICATIONS
DISABLE_PERSONALIZATION
DISABLE_BLUETOOTH
DISABLE_SOUND
DISABLE_DATETIME
DISABLE_POWER
DISABLE_MOUSE
DISABLE_KAYBOARD
DISABLE_WACOM
DISABLE_SYSINFO
DISABLE_SYS_UPDATE_SOURCE_CHECK
DISABLE_SYS_UPDATE_MIRRORS
DISABLE_MAIN_PAGE
DISABLE_RECOVERY
DCC_ENABLE_ADDOMAIN
DCC_DISABLE_KBLAYOUT
DCC_DISABLE_LANGUAGE
DCC_DISABLE_POWERSAVE
DCC_DISABLE_FEEDBACK
DCC_DISABLE_ROTATE
DCC_DISABLE_MIRACAST
DCC_DISABLE_TIMEZONE
DCC_DISABLE_GRUB
DCC_KEEP_SETTINGS_LIVE
DCC_COMMUNITY_LICENSE
)

foreach(LETTER ${DEFINED_LIST})
    if(DEFINED ${LETTER})
        add_definitions(-D${LETTER})
    endif()
endforeach()

# load files
set(FRAME_FILES
                main.cpp
                dbuscontrolcenterservice.cpp
)

set(WINDOW_FILES
    window/mainwindow.cpp
    window/utils.h
    window/gsettingwatcher.cpp
    window/gsettingwatcher.h
    window/dconfigwatcher.cpp
    window/dconfigwatcher.h
    window/accessibleinterface.h
    window/accessible.h
    window/protocolfile.cpp
    window/insertplugin.cpp
    window/insertplugin.h
    window/modules/display/displaywidget.cpp
    window/modules/datetime/datetimemodule.cpp
    window/modules/datetime/datetimewidget.cpp
    window/modules/datetime/datewidget.cpp
    window/modules/datetime/clockitem.cpp
    window/modules/datetime/clock.cpp
    window/modules/datetime/timezonelist.cpp
    window/modules/datetime/timezonecontentlist.cpp
    window/modules/datetime/systemtimezone.cpp
    window/modules/datetime/formatsetting.cpp
    window/modules/datetime/formatsetting.h
    window/modules/datetime/datesettings.cpp
    window/modules/datetime/timesetedit.cpp
    window/modules/datetime/datetimecombox.cpp
    window/modules/datetime/timespinbox.cpp
    window/modules/display/displaymodule.cpp
    window/modules/display/scalingwidget.cpp
    window/modules/display/resolutionwidget.cpp
    window/modules/display/brightnesswidget.cpp
    window/modules/display/rotatewidget.cpp
    window/modules/display/refreshratewidget.cpp
    window/modules/display/multiscreenwidget.cpp
    window/modules/display/secondaryscreendialog.cpp
    window/modules/touchscreen/touchscreenmodule.cpp
    window/modules/touchscreen/touchscreenwidget.cpp
    window/modules/power/powermodule.cpp
    window/modules/power/powerwidget.cpp
    window/modules/power/generalwidget.cpp
    window/modules/power/useelectricwidget.cpp
    window/modules/power/usebatterywidget.cpp
    window/modules/sound/soundwidget.cpp
    window/modules/sound/soundmodule.cpp
    window/modules/sound/speakerpage.cpp
    window/modules/sound/microphonepage.cpp
    window/modules/sound/soundeffectspage.cpp
    window/modules/sound/devicemanagespage.cpp
    window/modules/update/updatemodule.cpp
    window/modules/update/updatewidget.cpp
    window/modules/update/updatectrlwidget.cpp
    window/modules/update/updatesettings.cpp
    window/modules/update/loadingitem.cpp
    window/modules/update/updatehistorybutton.cpp
    window/modules/update/recenthistoryapplist.cpp
    window/modules/update/mirrorswidget.cpp
    window/modules/update/mirrorsourceitem.cpp
    window/search/searchwidget.cpp
    window/search/searchmodel.cpp
    window/modules/commoninfo/commoninfomodule.cpp
    window/modules/commoninfo/commoninfowidget.cpp
    window/modules/commoninfo/commoninfomodel.cpp
    window/modules/commoninfo/commoninfowork.cpp
    window/modules/commoninfo/bootwidget.cpp
    window/modules/commoninfo/commonbackgrounditem.cpp
    window/modules/commoninfo/userexperienceprogramwidget.cpp
    window/modules/wacom/wacommodule.cpp
    window/modules/wacom/wacomwidget.cpp
    window/modules/wacom/wacomworker.cpp
    window/modules/wacom/wacommodel.cpp
    window/modules/wacom/pressuresettings.cpp
    window/modules/commoninfo/developermodewidget.cpp
    window/modules/commoninfo/developermodedialog.cpp
)

# load interfaces
set(INTERFACES_FILES
                ../../include/interface/moduleinterface.h
                ../../include/interface/frameproxyinterface.h
)

# load widgets
set(WIDGETS_FILES
                widgets/backbutton.cpp
                widgets/basiclistdelegate.cpp
                ../../include/widgets/basiclistdelegate.h
                widgets/buttontuple.cpp
                widgets/dccslider.cpp
                ../../include/widgets/dccslider.h
                widgets/dccsliderannotated.cpp
                ../../include/widgets/dccsliderannotated.h
                ../../include/widgets/labels/largelabel.h
                ../../include/widgets/labels/normallabel.h
                ../../include/widgets/labels/smalllabel.h
                ../../include/widgets/labels/tipslabel.h
                widgets/lineeditwidget.cpp
                widgets/loadingindicator.cpp
                ../../include/widgets/loadingindicator.h
                widgets/loadingnextpagewidget.cpp
                widgets/nextbutton.cpp
                widgets/optionlistpage.cpp
                widgets/searchinput.cpp
                ../../include/widgets/searchinput.h
                widgets/separator.cpp
                ../../include/widgets/separator.h
                widgets/settingsheaderitem.cpp
                ../../include/widgets/settingsheaderitem.h
                widgets/settingsitem.cpp
                ../../include/widgets/settingsitem.h
                widgets/spinboxwidget.cpp
                ../../include/widgets/spinboxwidget.h
                widgets/buttoneditwidget.cpp
                ../../include/widgets/buttoneditwidget.h
                widgets/tipsitem.cpp
                ../../include/widgets/tipsitem.h
                widgets/titlelabel.cpp
                ../../include/widgets/titlelabel.h
                widgets/titlevalueitem.cpp
                ../../include/widgets/titlevalueitem.h
                widgets/translucentframe.cpp
                ../../include/widgets/translucentframe.h
                widgets/settingsgroup.cpp
                widgets/switchwidget.cpp
                widgets/comboxwidget.cpp
                ../../include/widgets/comboxwidget.h
                widgets/themeitempic.cpp
                ../../include/widgets/themeitempic.h
                ../../include/widgets/utils.h
                ../../include/widgets/backbutton.h
                widgets/basiclistmodel.cpp
                ../../include/widgets/basiclistmodel.h
                widgets/basiclistview.cpp
                ../../include/widgets/basiclistview.h
                ../../include/widgets/buttontuple.h
                widgets/comboboxwidget.cpp
                ../../include/widgets/comboboxwidget.h
                widgets/contentwidget.cpp
                ../../include/widgets/contentwidget.h
                widgets/editablenextpagewidget.cpp
                ../../include/widgets/editablenextpagewidget.h
                widgets/filechoosewidget.cpp
                ../../include/widgets/filechoosewidget.h
                ../../include/widgets/lineeditwidget.h
                ../../include/widgets/loadingnextpagewidget.h
                ../../include/widgets/nextbutton.h
                widgets/nextpagewidget.cpp
                ../../include/widgets/nextpagewidget.h
                widgets/optionitem.cpp
                ../../include/widgets/optionitem.h
                ../../include/widgets/optionlistpage.h
                ../../include/widgets/settingsgroup.h
                widgets/settingshead.cpp
                ../../include/widgets/settingshead.h
                ../../include/widgets/switchwidget.h
                widgets/themeitem.cpp
                ../../include/widgets/themeitem.h
                widgets/titledslideritem.cpp
                ../../include/widgets/titledslideritem.h
                widgets/timeoutdialog.cpp
                ../../include/widgets/timeoutdialog.h
                widgets/multiselectlistview.cpp
                ../../include/widgets/multiselectlistview.h
                widgets/powerdisplaywidget.cpp
                ../../include/widgets/powerdisplaywidget.h
                widgets/passwordedit.cpp
                ../../include/widgets/passwordedit.h
                widgets/detailinfoitem.cpp
                ../../include/widgets/detailinfoitem.h
                ../../include/widgets/securitylevelitem.h
                widgets/securitylevelitem.cpp
                widgets/widgets.qrc
)

# load modules
set(MODULE_FILES
)

# load authentatication
set(AUTHENTICATION_FILES
    modules/authentication/fingermodel.cpp
    modules/authentication/fingerworker.cpp
    modules/authentication/charamangermodel.cpp
    modules/authentication/charamangerworker.cpp
    modules/authentication/widgets/fingeritem.cpp
    modules/authentication/widgets/disclaimersitem.cpp
    modules/authentication/widgets/disclaimersdialog.cpp
    modules/authentication/widgets/fingerwidget.cpp
    modules/authentication/widgets/faceinfowidget.cpp
    window/modules/authentication/loginoptionsmodule.cpp
    window/modules/authentication/loginoptionswidget.cpp
    window/modules/authentication/fingerwidget.cpp
    window/modules/authentication/fingerdetailwidget.cpp
    window/modules/authentication/addfingedialog.cpp
    window/modules/authentication/faceiddetailwidget.cpp
    window/modules/authentication/facewidget.cpp
    window/modules/authentication/authenticationinfoitem.cpp
    window/modules/authentication/addfaceinfodialog.cpp
    window/modules/authentication/faceinfodialog.cpp
    # IRIS
    window/modules/authentication/irisdetailwidget.cpp
    window/modules/authentication/iriswidget.cpp
    window/modules/authentication/addirisinfodialog.cpp
    modules/authentication/widgets/irisinfowidget.cpp
    window/modules/authentication/fingedisclaimer.cpp
)

# load accounts
set(ACCOUNTS_FILES
                modules/accounts/creationresult.cpp
                modules/accounts/removeuserdialog.cpp
                modules/accounts/useroptionitem.cpp
                modules/accounts/accountsworker.cpp
                modules/accounts/avatarwidget.cpp
                modules/accounts/user.cpp
                modules/accounts/usermodel.cpp
                window/modules/accounts/accountsmodule.cpp
                window/modules/accounts/accountswidget.cpp
                window/modules/accounts/pwqualitymanager.cpp
                window/modules/accounts/createaccountpage.cpp
                window/modules/accounts/modifypasswdpage.cpp
                window/modules/accounts/accountsdetailwidget.cpp
                window/modules/accounts/avatarlistwidget.cpp
                window/modules/accounts/avataritemdelegate.cpp
                window/modules/accounts/onlineicon.cpp
                window/modules/accounts/unionidbindreminderdialog.cpp
)

# load bluetooth
set(BLUETOOTH_FILES

=== src/reboot-reminder-dialog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

set(BIN_NAME reboot-reminder-dialog)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if(NOT DEFINED DISABLE_SYS_UPDATE)

set(SRCS
        main.cpp
        reminderdialog.h
        reminderdialog.cpp
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

add_executable(${BIN_NAME} ${SRCS})
target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/dde-control-center/)

endif()

=== src/reset-password-dialog/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(VERSION 4.0)

set(BIN_NAME reset-password-dialog)
set(DEEPIN_PW_CHECK libdeepin_pw_check.so)

#set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi")
endif()

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

if(NOT DEFINED DISABLE_SYS_UPDATE)

set(SRCS
        main.cpp
        resetpassworddialog.h
        resetpassworddialog.cpp
)
set(QRC resetpassworddialog.qrc)
# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

add_executable(${BIN_NAME} ${SRCS} ${QRC})
target_include_directories(${BIN_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${PROJECT_BINARY_DIR}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Network_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${DEEPIN_PW_CHECK}
    crypt
    ${LIBS}
)

# bin
install(TARGETS ${BIN_NAME} DESTINATION lib/dde-control-center/)

endif()

=== tests/dccwidgets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

set(BIN_NAME dccwidgets-unittest)

# 自动生成moc文件
set(CMAKE_AUTOMOC ON)

# 源文件
file(GLOB_RECURSE SRCS "*.cpp")

# 用于测试覆盖率的编译条件
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")

 # 增加安全编译参数
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
 set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

# Address Sanitizer 内存错误检测工具,打开下面的编译选项可以看到调试信息，正常运行时不需要这些信息
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2")
endif()

# 查找依赖库
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS Widgets Test DBus REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(GTest REQUIRED)

pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

# 添加执行文件信息
add_executable(${BIN_NAME} ${SRCS} ${INTERFACES})

# 链接库
target_link_libraries(${BIN_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
    -lm
)

target_include_directories(${BIN_NAME} PUBLIC
    ${CMAKE_SOURCE_DIR}/include
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

=== tests/dde-control-center/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)
project(dde-control-center-unittest)

set(BLUETOOTH_NAME bluetooth-unittest)
set(MOUSE_NAME mouse-unittest)
set(DATETIME_NAME datetime-unittest)
set(NOTIFICATION_NAME notification-unittest)
set(DEFAPP_NAME defapp-unittest)
set(SYSTEMINFO_NAME systeminfo-unittest)
set(KEYBOARD_NAME keyboard-unittest)

# 自动生成moc文件
set(CMAKE_AUTOMOC ON)

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")

# Address Sanitizer 内存错误检测工具,打开下面的编译选项可以看到调试信息，正常运行时不需要这些信息
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=address -O2 -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
endif()

# 蓝牙模块源文件
file(GLOB_RECURSE BLUETOOTH_SRCS "bluetooth/*.cpp" "bluetooth/*.h")

#蓝牙模块依赖文件
file(GLOB_RECURSE BLUETOOTH_Tasks_SRCS
  ../../src/frame/modules/bluetooth/*.cpp

  ../../src/frame/window/modules/bluetooth/bluetoothwidget.cpp
  ../../src/frame/window/modules/bluetooth/adapterwidget.cpp
  ../../src/frame/window/modules/bluetooth/titleedit.cpp
  ../../src/frame/window/modules/bluetooth/devicesettingsitem.cpp
  ../../src/frame/window/modules/bluetooth/detailpage.cpp

  ../../src/frame/window/gsettingwatcher.cpp
  fakedbus/bluetooth_dbus.cpp
)

# 时间日期模块源文件
file(GLOB_RECURSE DATETIME_SRCS "datetime/*.cpp" "datetime/*.h")

# 时间日期模块依赖文件
file(GLOB_RECURSE DATETIME_Tasks_SRCS
    ../../src/frame/modules/datetime/datetimework.cpp
    ../../src/frame/modules/datetime/datetimemodel.cpp
    ../../src/frame/modules/datetime/timezoneitem.cpp
    ../../src/frame/modules/datetime/clock.cpp

    fakedbus/datetime_dbus.cpp
)

# 鼠标模块源文件
file(GLOB_RECURSE MOUSE_SRCS "mouse/*.cpp" "mouse/*.h")

# 鼠标模块依赖文件
file(GLOB_RECURSE MOUSE_Tasks_SRCS
  ../../src/frame/modules/mouse/mouseworker.cpp
  ../../src/frame/modules/mouse/mousemodel.cpp
  ../../src/frame/modules/mouse/doutestwidget.cpp
  ../../src/frame/modules/mouse/palmdetectsetting.cpp

  ../../src/frame/window/modules/mouse/mousewidget.cpp
  ../../src/frame/window/modules/mouse/generalsettingwidget.cpp
  ../../src/frame/window/modules/mouse/mousesettingwidget.cpp
  ../../src/frame/window/modules/mouse/touchpadsettingwidget.cpp
  ../../src/frame/window/modules/mouse/trackpointsettingwidget.cpp

  ../../src/frame/window/utils.h
  ../../src/frame/window/insertplugin.cpp
  ../../src/frame/window/gsettingwatcher.cpp
)

#通知模块源文件
file(GLOB_RECURSE NOTIFICATION_SRCS "notification/*.cpp" "notification/*.h")

#通知模块依赖文件
file(GLOB_RECURSE NOTIFICATION_Tasks_SRCS
  ../../src/frame/modules/notification/*.cpp
  ../../src/frame/window/gsettingwatcher.cpp
  ../../src/frame/window/modules/notification/notificationwidget.cpp
  ../../src/frame/window/modules/notification/appnotifywidget.cpp
  ../../src/frame/window/modules/notification/notificationitem.cpp
  ../../src/frame/window/modules/notification/systemnotifywidget.cpp
  ../../src/frame/window/modules/notification/timeslotitem.cpp

  fakedbus/notification_dbus.cpp
)

# 默认程序源文件
file(GLOB_RECURSE DEFAPP_SRCS "defapp/*.cpp" "defapp/*.h")

# 默认程序依赖文件
file(GLOB_RECURSE DEFAPP_Tasks_SRCS
  ../../src/frame/modules/defapp/defappworker.cpp
  ../../src/frame/modules/defapp/defappmodel.cpp
  ../../src/frame/modules/defapp/model/category.cpp
  ../../src/frame/window/gsettingwatcher.cpp
  ../../src/frame/window/insertplugin.cpp
  ../../src/frame/widgets/multiselectlistview.cpp

  ../../src/frame/window/modules/defapp/defappdetailwidget.cpp
  ../../src/frame/window/modules/defapp/defappwidget.cpp

  fakedbus/defapp_dbus.cpp
)

# 系统信息模块源文件
file(GLOB_RECURSE SYSTEMINFO_SRCS "systeminfo/*.cpp" "systeminfo/*.h")

# 系统信息依赖文件
file(GLOB_RECURSE SYSTEMINFO_Tasks_SRCS

   #../../src/frame/window/modules/systeminfo/*.cpp
   ../../src/frame/window/modules/systeminfo/privacypolicywidget.cpp
   ../../src/frame/window/modules/systeminfo/systeminfowidget.cpp
   ../../src/frame/window/modules/systeminfo/nativeinfowidget.cpp
   ../../src/frame/window/modules/systeminfo/userlicensewidget.cpp
   ../../src/frame/window/modules/systeminfo/versionprotocolwidget.cpp
   ../../src/frame/modules/systeminfo/*.cpp
   ../../src/frame/window/gsettingwatcher.cpp
   ../../src/frame/window/insertplugin.cpp
   ../../src/frame/window/utils.h
   ../../src/frame/window/protocolfile.cpp
)

# 键盘测试模块源文件
file(GLOB_RECURSE KEYBOARD_SRCS "keyboard/*.cpp")

# 头文件路径
set(KEYBOARD_HEADER 
    ../../src/frame/window/modules/keyboard
    ../../src/frame/modules/keyboard
)

# 键盘测试依赖文件
file(GLOB_RECURSE KEYBOARD_Tasks_SRCS 
    ../../src/frame/window/modules/keyboard/generalkbsettingwidget.cpp
    ../../src/frame/window/modules/keyboard/kblayoutsettingwidget.cpp
    ../../src/frame/window/modules/keyboard/systemlanguagewidget.cpp
    ../../src/frame/window/modules/keyboard/systemlanguagesettingwidget.cpp
    ../../src/frame/window/modules/keyboard/shortcutsettingwidget.cpp
    ../../src/frame/modules/keyboard/keyboardmodel.cpp
    ../../src/frame/modules/keyboard/indexmodel.cpp
    ../../src/frame/modules/keyboard/shortcutmodel.cpp
    ../../src/frame/modules/keyboard/shortcutitem.cpp
    ../../src/frame/modules/keyboard/shortcutkey.cpp
    ../../src/frame/window/gsettingwatcher.cpp
    ../../src/frame/modules/display/displaymodel.cpp
    ../../src/frame/modules/display/monitor.cpp
    ../../src/frame/modules/keyboard/keylabel.cpp
    ../../src/frame/window/utils.h
)

# 用于测试覆盖率的编译条件
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage -lgcov")

# 查找依赖库
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS Widgets Test DBus REQUIRED Concurrent Svg)
find_package(DtkWidget REQUIRED)
find_package(GTest REQUIRED)

pkg_check_modules(QGSettings REQUIRED gsettings-qt)
pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)

# 添加蓝牙模块执行文件信息
add_executable(${BLUETOOTH_NAME} ${BLUETOOTH_SRCS} ${BLUETOOTH_Tasks_SRCS})

# 添加时间日期模块执行文件信息
add_executable(${DATETIME_NAME} ${DATETIME_SRCS} ${DATETIME_Tasks_SRCS})

# 添加鼠标模块执行文件信息
add_executable(${MOUSE_NAME} ${MOUSE_SRCS} ${MOUSE_Tasks_SRCS})

# 添加通知模块执行文件信息
add_executable(${NOTIFICATION_NAME} ${NOTIFICATION_SRCS} ${NOTIFICATION_Tasks_SRCS})

# 添加默认程序模块执行文件信息
add_executable(${DEFAPP_NAME} ${DEFAPP_SRCS} ${DEFAPP_Tasks_SRCS})

# 添加系统信息模块执行文件信息
add_executable(${SYSTEMINFO_NAME} ${SYSTEMINFO_SRCS} ${SYSTEMINFO_Tasks_SRCS})

# 添加键盘模块执行文件信息
add_executable(${KEYBOARD_NAME} ${KEYBOARD_SRCS} ${KEYBOARD_Tasks_SRCS})

# 蓝牙模块链接库
target_link_libraries(${BLUETOOTH_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 蓝牙模块引用头文件
target_include_directories(${BLUETOOTH_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 时间日期模块链接库
target_link_libraries(${DATETIME_NAME} PUBLIC
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 时间日期模块引用头文件
target_include_directories(${DATETIME_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 鼠标模块链接库
target_link_libraries(${MOUSE_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 鼠标模块引用头文件
target_include_directories(${MOUSE_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 通知模块链接库
target_link_libraries(${NOTIFICATION_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 通知模块引用头文件
target_include_directories(${NOTIFICATION_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 默认程序模块链接库
target_link_libraries(${DEFAPP_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 默认程序模块引用头文件
target_include_directories(${DEFAPP_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 系统信息模块链接库
target_link_libraries(${SYSTEMINFO_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 键盘模块链接库
target_link_libraries(${KEYBOARD_NAME} PRIVATE
    dccwidgets
    ${Qt5Test_LIBRARIES}
    ${Qt5DBus_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
    ${QGSettings_LIBRARIES}
    ${Qt5Concurrent_LIBRARIES}
    ${Qt5Svg_LIBRARIES}
    ${DFrameworkDBus_LIBRARIES}
    ${DtkWidget_LIBRARIES}
    ${GTEST_LIBRARIES}
    -lpthread
)

# 系统信息模块引用头文件
target_include_directories(${SYSTEMINFO_NAME} PUBLIC
    ${DtkWidget_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${Qt5Concurrent_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

# 键盘模块引用头文件
target_include_directories(${KEYBOARD_NAME} PUBLIC
    ${KEYBOARD_HEADER}
    ${DtkWidget_INCLUDE_DIRS}
    ${QGSettings_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
    ${DFrameworkDBus_INCLUDE_DIRS}
)

add_custom_target(check
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/tests/dde-control-center)

#'make check'命令依赖与我们的测试程序
add_dependencies(check ${BLUETOOTH_NAME} ${MOUSE_NAME} ${DATETIME_NAME} ${NOTIFICATION_NAME} ${DEFAPP_NAME} ${SYSTEMINFO_NAME} ${KEYBOARD_NAME})

include_directories(../../src/frame)
include_directories(fakedbus)

=== debian/changelog ===
dde-control-center (5.5.16.2-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 03 Mar 2022 17:41:52 +0800

dde-control-center (2.90.1+r1494~g999cab5) experimental; urgency=low

  ** Build revision: 999cab57c67c88f9a9065963c61c0cd262897918  @  origin/release/2.3 **

  [upstreamer]
  * Use DPalette to replace DConstants
  * Hide remoting module for 2015 test
  * Show error message when failed to connect to remote peer
  * Fixed: show error page on peerIdFailed
  * Merge branch 'develop' into release/2.3

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 02 Jul 2015 13:55:11 +0000

=== debian/control ===
Source: dde-control-center
Section: admin
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 11),
 pkg-config,
 libx11-dev,
 cmake,
 qtbase5-dev,
 qtdeclarative5-dev,
 libqt5svg5-dev,
 libdtkcore-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdframeworkdbus-dev,
 libgsettings-qt-dev,
 qttools5-dev-tools,
 libdtkcore5-bin,
 qtbase5-private-dev,
 libxrandr-dev,
 libmtdev-dev,
 libfontconfig1-dev,
 libegl1-mesa-dev,
 libxcb-ewmh-dev,
 libudisks2-qt5-dev,
 qtmultimedia5-dev,
 deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
 libgtest-dev,
 libdeepin-pw-check-dev,
 libpolkit-qt5-1-dev,
 libdareader-dev
Standards-Version: 3.9.5
Homepage: https://github.com/linuxdeepin/dde-control-center

Package: dde-control-center
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${dist:Depends},
 dde-account-faces,
 dde-daemon (>=5.12.0.31),
 startdde (>=5.6.0.34),
 lastore-daemon (>=5.1.0.21),
 dde-api (>=2.92.1),
 xkb-data,
 deepin-installer-timezones,
 passwd,
 netselect,
 uos-license-content,
 libglib2.0-0,
 libdeepin-pw-check,
 deepin-desktop-schemas (>=5.8.0.43),
 libdframeworkdbus2 (>=5.3.38),
 libdareader1,
 deepin-sync-daemon
Recommends:
 netselect,
 deepin-ab-recovery,
 deepin-user-experience-daemon,
 deepin-recovery-plugin,
 dcc-network-plugin
Suggests: redshift
Conflicts:
 dde-control-center-plugin-weather,
 dde-control-center-plugin-notify
Replaces:
 dde-control-center-plugin-weather,
 dde-control-center-plugin-notify
Description: New control center for Deepin Desktop Environment,
 Integrated control center with rich functions,Besides providing rich 
 system setting items, the function level is simple, the logic is clear, 
 the user can easily set the system, and the learning cost is low,
 Provide users with automatic update system and developer mode to meet 
 the various needs of users for the operating system.
 abrecovery -restore system, Determine whether the system is restored
 reboot-reminder-dialog -Update restart, Confirm whether to restart the system 
 after the completion of the update.
 DDE Control Center is the control panel of Deepin Desktop Environment.

Package: dde-control-center-dev
Architecture: any
Depends: dde-control-center (= ${binary:Version}), ${misc:Depends}, ${shlib:Depends}, ${dist:Depends}
Description: New control center for Deepin Desktop Environment - development files
 DDE Control Center is the control panel of Deepin Desktop Environment.

## dde-control-center 5.5.76.1

=== src/frame/CMakeLists.txt ===
--- 
+++ 
@@ -21,9 +21,6 @@
 endif()
 
 set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pie")
-
-# disable qt keywords, cause gio have signals member;
-ADD_DEFINITIONS(-DQT_NO_KEYWORDS)
 
 if (DEFINED ENABLE_MIEEE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
@@ -55,6 +52,7 @@
 DISABLE_SYS_UPDATE_MIRRORS
 DISABLE_MAIN_PAGE
 DISABLE_RECOVERY
+DISABLE_DEVELOPER_MODE
 DCC_ENABLE_ADDOMAIN
 DCC_DISABLE_KBLAYOUT
 DCC_DISABLE_LANGUAGE
@@ -305,6 +303,8 @@
                 window/modules/accounts/avataritemdelegate.cpp
                 window/modules/accounts/onlineicon.cpp
                 window/modules/accounts/unionidbindreminderdialog.cpp
+                window/modules/accounts/securityquestionspage.cpp
+
 )
 
 # load bluetooth

=== debian/changelog ===
dde-control-center (5.5.76.1-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 10 May 2022 11:34:22 +0800

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,12 @@
  libgtest-dev,
  libdeepin-pw-check-dev,
  libpolkit-qt5-1-dev,
- libdareader-dev
+ libdareader-dev,
+ libqt5waylandclient5-dev,
+ qtwayland5-private-dev,
+ libkf5wayland-dev,
+ libwayland-dev,
+ libxkbcommon-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/linuxdeepin/dde-control-center
 
@@ -59,7 +64,8 @@
  deepin-ab-recovery,
  deepin-user-experience-daemon,
  deepin-recovery-plugin,
- dcc-network-plugin
+ dcc-network-plugin,
+ dcc-deepinid-plugin
 Suggests: redshift
 Conflicts:
  dde-control-center-plugin-weather,

## dde-control-center 5.5.77

=== CMakeLists.txt ===
--- 
+++ 
@@ -66,10 +66,6 @@
 install(FILES dde-control-center.desktop DESTINATION share/applications)
 install(FILES dde-control-center-wapper DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
-#dconfig
-file(GLOB DCONFIG_FILES "configs/dde.control-center*.json")
-install(FILES ${DCONFIG_FILES} DESTINATION /usr/share/dsg/apps/dde-control-center/configs/)
-
 #schemas
 install(FILES com.deepin.dde.control-center.gschema.xml DESTINATION share/glib-2.0/schemas)
 install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

=== debian/changelog ===
dde-control-center (5.5.77-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Thu, 19 May 2022 16:43:20 +0800

## dde-control-center 5.5.88

=== src/reset-password-dialog/CMakeLists.txt ===
--- 
+++ 
@@ -34,34 +34,60 @@
 
 set(SRCS
         main.cpp
+        utils.h
         resetpassworddialog.h
         resetpassworddialog.cpp
+        securityquestionswidget.h
+        securityquestionswidget.cpp
+        unionidwidget.h
+        unionidwidget.cpp
+        passwordwidget.h
+        passwordwidget.cpp
+        resetpasswordworker.h
+        resetpasswordworker.cpp
 )
+
+set(DCC_SRCS
+    ../frame/widgets/securitylevelitem.cpp
+    ../frame/window/modules/accounts/pwqualitymanager.cpp
+    ../frame/window/utils.h
+)
+
 set(QRC resetpassworddialog.qrc)
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5Network REQUIRED)
+find_package(Qt5 COMPONENTS
+    Widgets
+    Concurrent
+    DBus
+    Svg
+    Network
+REQUIRED)
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 
-add_executable(${BIN_NAME} ${SRCS} ${QRC})
+add_executable(${BIN_NAME} ${SRCS} ${DCC_SRCS} ${QRC})
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     ${PROJECT_BINARY_DIR}
+    ../../include
+    ../frame/window/modules/accounts/
+    ../frame/
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
+    dccwidgets
     ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Network_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
+    ${Qt5Concurrent_LIBRARIES}
+    ${Qt5Svg_LIBRARIES}
     ${DEEPIN_PW_CHECK}
     crypt
     ${LIBS}

=== debian/changelog ===
dde-control-center (5.5.88-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 28 Jun 2022 10:59:40 +0800

## dde-control-center 5.5.89

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,6 +40,7 @@
 set(STRONG_PASSWORD false)
 set(AllowEnableMultiScaleRatio false)
 set(AllowCloudSync true)
+set(TESTING_SERVER "https://insider.deepin.org")
 
 configure_file(files/dde-control-center.conf.in files/dde-control-center.conf @ONLY)

=== src/frame/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,8 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
+
+option(DISABLE_AUTHENTICATION "disable authentication module" OFF)
 
 set(DEFINED_LIST
 DISABLE_OPACITY_ANIMATION
@@ -152,6 +154,18 @@
     window/modules/commoninfo/developermodewidget.cpp
     window/modules/commoninfo/developermodedialog.cpp
 )
+
+if (DEFINED DISABLE_SYS_UPDATE)
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/updatemodule.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/updatewidget.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/updatectrlwidget.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/updatesettings.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/loadingitem.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/updatehistorybutton.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/recenthistoryapplist.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/mirrorswidget.cpp")
+  list(REMOVE_ITEM WINDOW_FILES "window/modules/update/mirrorsourceitem.cpp")
+endif()
 
 # load interfaces
 set(INTERFACES_FILES
@@ -291,21 +305,3 @@
                 modules/accounts/useroptionitem.cpp
                 modules/accounts/accountsworker.cpp
                 modules/accounts/avatarwidget.cpp
-                modules/accounts/user.cpp
-                modules/accounts/usermodel.cpp
-                window/modules/accounts/accountsmodule.cpp
-                window/modules/accounts/accountswidget.cpp
-                window/modules/accounts/pwqualitymanager.cpp
-                window/modules/accounts/createaccountpage.cpp
-                window/modules/accounts/modifypasswdpage.cpp
-                window/modules/accounts/accountsdetailwidget.cpp
-                window/modules/accounts/avatarlistwidget.cpp
-                window/modules/accounts/avataritemdelegate.cpp
-                window/modules/accounts/onlineicon.cpp
-                window/modules/accounts/unionidbindreminderdialog.cpp
-                window/modules/accounts/securityquestionspage.cpp
-
-)
-
-# load bluetooth
-set(BLUETOOTH_FILES

=== src/reset-password-dialog/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,8 @@
 set(SRCS
         main.cpp
         utils.h
+        pwqualitymanager.h
+        pwqualitymanager.cpp
         resetpassworddialog.h
         resetpassworddialog.cpp
         securityquestionswidget.h
@@ -46,48 +48,34 @@
         resetpasswordworker.h
         resetpasswordworker.cpp
 )
-
-set(DCC_SRCS
-    ../frame/widgets/securitylevelitem.cpp
-    ../frame/window/modules/accounts/pwqualitymanager.cpp
-    ../frame/window/utils.h
-)
-
 set(QRC resetpassworddialog.qrc)
 # Find the library
 find_package(PkgConfig REQUIRED)
-find_package(Qt5 COMPONENTS
-    Widgets
-    Concurrent
-    DBus
-    Svg
-    Network
-REQUIRED)
+find_package(Qt5Widgets REQUIRED)
+find_package(Qt5DBus REQUIRED)
+find_package(Qt5Network REQUIRED)
+find_package(Qt5Concurrent REQUIRED)
+
 find_package(DtkWidget REQUIRED)
 find_package(DtkGui REQUIRED)
 
 pkg_check_modules(DFrameworkDBus REQUIRED dframeworkdbus)
 
-add_executable(${BIN_NAME} ${SRCS} ${DCC_SRCS} ${QRC})
+add_executable(${BIN_NAME} ${SRCS} ${QRC})
 target_include_directories(${BIN_NAME} PUBLIC
     ${DtkWidget_INCLUDE_DIRS}
     ${DFrameworkDBus_INCLUDE_DIRS}
     ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
     ${PROJECT_BINARY_DIR}
-    ../../include
-    ../frame/window/modules/accounts/
-    ../frame/
 )
 
 target_link_libraries(${BIN_NAME} PRIVATE
-    dccwidgets
     ${DFrameworkDBus_LIBRARIES}
     ${DtkWidget_LIBRARIES}
     ${Qt5Widgets_LIBRARIES}
     ${Qt5Network_LIBRARIES}
     ${Qt5DBus_LIBRARIES}
     ${Qt5Concurrent_LIBRARIES}
-    ${Qt5Svg_LIBRARIES}
     ${DEEPIN_PW_CHECK}
     crypt
     ${LIBS}

=== debian/changelog ===
dde-control-center (5.5.89-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Wed, 29 Jun 2022 15:34:58 +0800

=== debian/control ===
--- 
+++ 
@@ -44,10 +44,10 @@
  ${misc:Depends},
  ${dist:Depends},
  dde-account-faces,
- dde-daemon (>=5.12.0.31),
- startdde (>=5.6.0.34),
- lastore-daemon (>=5.1.0.21),
- dde-api (>=2.92.1),
+ dde-daemon,
+ startdde,
+ lastore-daemon,
+ dde-api,
  xkb-data,
  deepin-installer-timezones,
  passwd,
@@ -55,8 +55,8 @@
  uos-license-content,
  libglib2.0-0,
  libdeepin-pw-check,
- deepin-desktop-schemas (>=5.8.0.43),
- libdframeworkdbus2 (>=5.3.38),
+ deepin-desktop-schemas,
+ libdframeworkdbus2,
  libdareader1,
  deepin-sync-daemon
 Recommends:

## dde-control-center 5.5.140

=== src/frame/CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,6 @@
 if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     set(CMAKE_INSTALL_PREFIX /usr)
 endif ()
-
-option(DISABLE_AUTHENTICATION "disable authentication module" OFF)
 
 set(DEFINED_LIST
 DISABLE_OPACITY_ANIMATION
@@ -103,6 +101,10 @@
     window/modules/datetime/systemtimezone.cpp
     window/modules/datetime/formatsetting.cpp
     window/modules/datetime/formatsetting.h
+    window/modules/datetime/currencyformat.cpp
+    window/modules/datetime/currencyformat.h
+    window/modules/datetime/numberformat.cpp
+    window/modules/datetime/numberformat.h
     window/modules/datetime/datesettings.cpp
     window/modules/datetime/timesetedit.cpp
     window/modules/datetime/datetimecombox.cpp
@@ -303,5 +305,3 @@
                 modules/accounts/creationresult.cpp
                 modules/accounts/removeuserdialog.cpp
                 modules/accounts/useroptionitem.cpp
-                modules/accounts/accountsworker.cpp
-                modules/accounts/avatarwidget.cpp

=== debian/changelog ===
dde-control-center (5.5.140-1) unstable; urgency=medium

  * update

 -- Deepin Sysdev <sysdev@deepin.com>  Tue, 16 Aug 2022 09:59:39 +0800

dde-control-center (3.0.14) unstable; urgency=low

  * Autobuild Tag 3.0.14 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:43:22 +0000
